# Generated by Django 2.0.5 on 2018-08-28 11:30

from django.db import migrations


def call_command_to_create_integrations_data(apps, schema_editor):
    from django.core.management import call_command

    call_command("create_integrations")


def delete_integrations_data(apps, schema_editor):
    IntegrationType = apps.get_model("core", "IntegrationType")
    IntegrationCategory = apps.get_model("core", "IntegrationCategory")
    IntegrationType.objects.all().delete()
    IntegrationCategory.objects.all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0010_apply_cw_data_sync'),
    ]

    operations = [
        migrations.AlterUniqueTogether(
            name='providerintegration',
            unique_together=set(),
        ),
        # migrations.RunPython(call_command_to_create_integrations_data, delete_integrations_data)
    ]
